lucene-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven A Rowe <sar...@syr.edu>
Subject RE: trying to build Lucene from source: can't find packages
Date Wed, 23 Nov 2011 19:44:16 GMT
Hi Ilya,

The java-user@lucene.apache.org mailing list has more subscribers, so you're likely to get
quicker/better responses over there.

You need servlet-api-2.4.jar.  The xml-query-parser module's build.xml thinks it should be
under lucene/lib/, but it was removed from that location a while back.

You can find it in the Solr 3.4 release under solr/lib/.  Here is a direct download link:
<http://svn.apache.org/viewvc/lucene/dev/tags/lucene_solr_3_4_0/solr/lib/servlet-api-2.4.jar?view=co>


Steve

> -----Original Message-----
> From: Ilya Zavorin [mailto:izavorin@caci.com]
> Sent: Wednesday, November 23, 2011 12:24 PM
> To: general@lucene.apache.org
> Subject: trying to build Lucene from source: can't find packages
> 
> I am trying to rebuild Lucene 3.4.0 from its source distribution. Using
> Netbeans 7.0.1. I've added all the JARs that came with the source, but am
> still getting build errors for one file:
> 
> FormBasedXmlQueryDemo.java in contrib\xml-query-parser\src\demo\java:
> 
> Can't find these packages:
> 
> import javax.servlet.RequestDispatcher;
> import javax.servlet.ServletConfig;
> import javax.servlet.ServletException;
> import javax.servlet.http.HttpServlet;
> import javax.servlet.http.HttpServletRequest;
> import javax.servlet.http.HttpServletResponse;
> 
> Do I need to download these JARs from somewhere? Any specific version(s) I
> need to get?
> 
> Thanks,
> 
> Ilya Zavorin
> 

Mime
View raw message